#pragma once
#include <vector>
#include <SDL_mixer.h>
#include <wtypes.h>
struct PIXTONEPARAMETER2;
struct PIXTONEPARAMETER;
class PixTone
{
public:
	PixTone();
	Mix_Chunk* LoadPixTone(const wchar_t* filename);
private:
	signed char gWaveModelTable[6][0x100];
	void MakeWaveTables();
	BOOL MakePixelWaveData(const PIXTONEPARAMETER* ptp, unsigned char* pData);
	Mix_Chunk* MakePixToneChunk_SDL(const PIXTONEPARAMETER* ptp, int ptp_num);
	BOOL LoadPixToneFile(const wchar_t* filename, PIXTONEPARAMETER* pixtone_parameters);
	bool ParsePitch2Line(const char* line, PIXTONEPARAMETER* tracks);
};


